Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.url
Class UrlFileNameParser

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileNameParser
          org.apache.commons.vfs.provider.url.UrlFileNameParser

All Implemented Interfaces:
  FileNameParser

public class UrlFileNameParser
extends AbstractFileNameParser

Implementation for any java.net.url based filesystem.
Composite of URLFilenameParser and GenericFilenameParser

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  imario@apache.org

Constructor Summary
`UrlFileNameParser()`

Method Summary
`protected int` | `countSlashes(String filename)` This method counts the slashes after the scheme.
`boolean` | `encodeCharacter(char ch)` Check if a character needs encoding (%nn)
`protected boolean` | `isUrlBased(FileName base, String filename)` Guess is the given filename is a url with host or not.
`FileName` | `parseUri(VfsComponentContext context, FileName base, String filename)` parses a String into a filename

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlFileNameParser

    public UrlFileNameParser()

Method Detail

### encodeCharacter

    public boolean encodeCharacter(char ch)

  Description copied from interface: `FileNameParser`
  Check if a character needs encoding (%nn)

  Specified by:
    `encodeCharacter` in interface `FileNameParser`
  Overrides:
    `encodeCharacter` in class `AbstractFileNameParser`

### parseUri

    public FileName parseUri(VfsComponentContext context,
                             FileName base,
                             String filename)
                      throws FileSystemException

  Description copied from interface: `FileNameParser`
  parses a String into a filename

  Parameters:
    `base` -
    `filename` -
  Throws:
    `FileSystemException`

### isUrlBased

    protected boolean isUrlBased(FileName base,
                                 String filename)

  Guess is the given filename is a url with host or not. VFS treats such urls differently.
  A filename is url-based if the base is a `URLFileName` or there are only 2 slashes after the scheme.
  e.g: http://host/path, file:/path/to/file, file:///path/to/file

### countSlashes

    protected int countSlashes(String filename)

  This method counts the slashes after the scheme.

  Parameters:
    `filename` -
  Returns:
    nuof slashes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.